
*Directory

cd "D:\ARTICULO5_Europe\Data\Data\Joan_Garcia\New\New\Final\Final2\Final_singleRegression\Final"

*File
use "1LFS_15_19_2.dta", clear


svyset [pweight=COEFF]


keep if COUNTRY3!=7

*Labels
label define COUNTRY3 1 "Belgium",
label define COUNTRY3 2 "ChezRepublic", add
label define COUNTRY3 3 "Germany", add
label define COUNTRY3 4 "Grecee", add
label define COUNTRY3 5 "Hungary", add
label define COUNTRY3 6 "Italy", add
label define COUNTRY3 8 "Portugal", add
label define COUNTRY3 9 "Slovenia", add
label define COUNTRY3 10 "Spain", add
label define COUNTRY3 11 "Sweden", add
label define COUNTRY3 12 "Switzerland", add
label define COUNTRY3 13 "UK", add


label values COUNTRY3 code_country

label define EU_REG2 1 "Central-East",
label define EU_REG2 2 "South", add
label define EU_REG2 3 "West", add
label define EU_REG2 4 "North", add

label values EU_REG2 code_region

label define HATLEV1D3 1 "Below tertiary",
label define HATLEV1D3 2 "Tertiary", add

label values EU_REG2 code_education


*Models
set more off


*Models
set more off

log using "modelo1_def.log", replace
logit MIGRA2 i.HATLEV1D2 i.SEX i.AGE2 i.DEGURBA ib2.MARSTAT i.ILOSTAT3 i.REFYEAR [pweight=COEFF], or

forval i=1/4{
logit MIGRA2 i.HATLEV1D2 i.SEX i.AGE2 i.DEGURBA ib2.MARSTAT i.ILOSTAT3 i.REFYEAR [pweight=COEFF] if EU_REG2==`i', or 
}

forval i=1/6{
logit MIGRA2 i.HATLEV1D2 i.SEX i.AGE2 i.DEGURBA ib2.MARSTAT i.ILOSTAT3 i.REFYEAR [pweight=COEFF] if COUNTRY3==`i', or 
}
forval i=8/13{
logit MIGRA2 i.HATLEV1D2 i.SEX i.AGE2 i.DEGURBA ib2.MARSTAT i.ILOSTAT3 i.REFYEAR [pweight=COEFF] if COUNTRY3==`i', or 
}
log close



log using "modelo2_def.log", replace
logit MIGRA2 i.HATLEV1D3#i.COUNTRYB2 i.SEX i.AGE2 i.DEGURBA ib2.MARSTAT i.ILOSTAT3 i.REFYEAR [pweight=COEFF], or


forval i=1/6{
logit MIGRA2 i.HATLEV1D3#i.COUNTRYB2 i.SEX i.AGE2 i.DEGURBA ib2.MARSTAT i.ILOSTAT3 i.REFYEAR [pweight=COEFF] if COUNTRY3==`i', or 
}
forval i=8/13{
logit MIGRA2 i.HATLEV1D3#i.COUNTRYB2 i.SEX i.AGE2 i.DEGURBA ib2.MARSTAT i.ILOSTAT3 i.REFYEAR [pweight=COEFF] if COUNTRY3==`i', or 
}
log close



log using "modelo3_def.log", replace
logit MIGRA2 i.HATLEV1D3#i.COUNTRYB3 i.SEX i.AGE2 i.DEGURBA ib2.MARSTAT i.ILOSTAT3 i.REFYEAR [pweight=COEFF], or


forval i=1/6{
logit MIGRA2 i.HATLEV1D3#i.COUNTRYB3 i.SEX i.AGE2 i.DEGURBA ib2.MARSTAT i.ILOSTAT3 i.REFYEAR [pweight=COEFF] if COUNTRY3==`i', or 
}

forval i=8/13{
logit MIGRA2 i.HATLEV1D3#i.COUNTRYB3 i.SEX i.AGE2 i.DEGURBA ib2.MARSTAT i.ILOSTAT3 i.REFYEAR [pweight=COEFF] if COUNTRY3==`i', or 
}

log close


